List sites
curl --request GET \
--url https://api.beta.ontoto.com/v1/sites \
--header 'x-api-key: <api-key>'import requests
url = "https://api.beta.ontoto.com/v1/sites"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.beta.ontoto.com/v1/sites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"uuid": "31d09506-82da-4f9d-960f-a871bae63258",
"orgUuid": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"name": "River Dam",
"description": "Main monitoring location",
"timezone": "Australia/Hobart",
"gnss": null
}
]
}{
"message": "Invalid request body"
}{
"message": "Authentication required"
}{
"message": "You do not have permission to access this resource"
}{
"message": "Resource not found"
}{
"message": "Duplicate entry"
}{
"message": "Rate limit of 200 requests per minute exceeded. Retry in 12s."
}{
"message": "Internal server error"
}Sites
List sites
Returns all sites accessible to the API token, with optional filtering.
GET
/
sites
List sites
Authorizations
Query Parameters
Filter by specific site UUIDs
When true, each site includes assigned devices in a devices array.
When true, include sensors on each device. Only applies when includeDevices=true.
Response
Successful response
Response body for querying sites.
Show child attributes
Show child attributes